yaml_emitter_s Struct Reference
Emitter Definitions

The emitter structure. More...

`#include <yaml.h>`

## Data Fields

Error handling
yaml_error_type_t | error
| Error type.
const char * | problem
| Error description.
Writer stuff
yaml_write_handler_t * | write_handler
| Write handler.
void * | write_handler_data
| A pointer for passing to the write handler.
union { |
struct { |
unsigned char * buffer |
| The buffer pointer.
size_t size |
| The buffer size.
size_t * size_written |
| The number of written bytes.
} string
| String output data.
FILE * file |
| File output data.
} | output
| Standard (string or file) output data.
struct { |
yaml_char_t * start |
| The beginning of the buffer.
yaml_char_t * end |
| The end of the buffer.
yaml_char_t * pointer |
| The current position of the buffer.
yaml_char_t * last |
| The last filled position of the buffer.
} | buffer
| The working buffer.
struct { |
unsigned char * start |
| The beginning of the buffer.
unsigned char * end |
| The end of the buffer.
unsigned char * pointer |
| The current position of the buffer.
unsigned char * last |
| The last filled position of the buffer.
} | raw_buffer
| The raw buffer.
yaml_encoding_t | encoding
| The stream encoding.
Emitter stuff
int | canonical
| If the output is in the canonical style?
int | best_indent
| The number of indentation spaces.
int | best_width
| The preferred width of the output lines.
int | unicode
| Allow unescaped non-ASCII characters?
yaml_break_t | line_break
| The preferred line break.
struct { |
yaml_emitter_state_t * start |
| The beginning of the stack.
yaml_emitter_state_t * end |
| The end of the stack.
yaml_emitter_state_t * top |
| The top of the stack.
} | states
| The stack of states.
yaml_emitter_state_t | state
| The current emitter state.
struct { |
yaml_event_t * start |
| The beginning of the event queue.
yaml_event_t * end |
| The end of the event queue.
yaml_event_t * head |
| The head of the event queue.
yaml_event_t * tail |
| The tail of the event queue.
} | events
| The event queue.
struct { |
int * start |
| The beginning of the stack.
int * end |
| The end of the stack.
int * top |
| The top of the stack.
} | indents
| The stack of indentation levels.
struct { |
yaml_tag_directive_t * start |
| The beginning of the list.
yaml_tag_directive_t * end |
| The end of the list.
yaml_tag_directive_t * top |
| The top of the list.
} | tag_directives
| The list of tag directives.
int | indent
| The current indentation level.
int | flow_level
| The current flow level.
int | root_context
| Is it the document root context?
int | sequence_context
| Is it a sequence context?
int | mapping_context
| Is it a mapping context?
int | simple_key_context
| Is it a simple mapping key context?
int | line
| The current line.
int | column
| The current column.
int | whitespace
| If the last character was a whitespace?
int | indention
| If the last character was an indentation character (' ', '-', '?
int | open_ended
| If an explicit document end is required?
struct { |
yaml_char_t * anchor |
| The anchor value.
size_t anchor_length |
| The anchor length.
int alias |
| Is it an alias?
} | anchor_data
| Anchor analysis.
struct { |
yaml_char_t * handle |
| The tag handle.
size_t handle_length |
| The tag handle length.
yaml_char_t * suffix |
| The tag suffix.
size_t suffix_length |
| The tag suffix length.
} | tag_data
| Tag analysis.
struct { |
yaml_char_t * value |
| The scalar value.
size_t length |
| The scalar length.
int multiline |
| Does the scalar contain line breaks?
int flow_plain_allowed |
| Can the scalar be expessed in the flow plain style?
int block_plain_allowed |
| Can the scalar be expressed in the block plain style?
int single_quoted_allowed |
| Can the scalar be expressed in the single quoted style?
int block_allowed |
| Can the scalar be expressed in the literal or folded styles?
yaml_scalar_style_t style |
| The output style.
} | scalar_data
| Scalar analysis.
Dumper stuff
int | opened
| If the stream was already opened?
int | closed
| If the stream was already closed?
yaml_anchors_t * | anchors
| The information associated with the document nodes.
int | last_anchor_id
| The last assigned anchor id.
yaml_document_t * | document
| The currently emitted document.

## Detailed Description

The emitter structure.

All members are internal. Manage the structure using the `yaml_emitter_` family of functions.

## Field Documentation

## indention

int yaml_emitter_s::indention

If the last character was an indentation character (' ', '-', '?

', ':')?

The documentation for this struct was generated from the following file:

- yaml.h